Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Method Elements will no longer be supported or maintained beginning December 31st, 2025. We recommend using Method Opal for all new integrations. If you are currently using Elements, please reach out to your CSM to discuss your migration options.
In addition to listening for the success event, the result of the Connect session can also be retrieved by calling the results endpoint with the element token for that session.
GET /elements/token/{element_token}/results
See Retrieve Element Results for more information about this endpoint.
curl https://production.methodfi.com/elements/token/pk_elem_dDe4r9M6X3Ad9zjpbgYpzLNtRCXfhPYR/results \
  -X GET \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "authenticated": true,
  "cxn_id": "cxn_xr86xHEcWmpmB",
  "accounts": [
    "acc_jPXLFqd6KzH3N",
    "acc_DALLeLrj3TH8h"
  ],
  "entity_id": "ent_GWKYtnFyE79db",
  "events": [
    {
      "type": "open",
      "metadata": {
        "element_type": "connect",
        "op": "open"
      },
      "timestamp": "2024-04-25T02:35:28.097Z"
    },
    {
      "type": "success",
      "metadata": {
        "entity_id": "ent_GWKYtnFyE79db",
        "accounts": [
          "acc_jPXLFqd6KzH3N",
          "acc_DALLeLrj3TH8h"
        ],
        "element_type": "connect",
        "op": "success"
      },
      "timestamp": "2024-04-25T02:35:57.120Z"
    },
    {
      "type": "exit",
      "metadata": {
        "element_type": "connect",
        "op": "exit"
      },
      "timestamp": "2024-04-25T02:35:57.138Z"
    }
  ]
}